Oolite Bulletins

For information and discussion about Oolite.
It is currently Thu Aug 17, 2017 3:17 pm

All times are UTC




Post new topic  Reply to topic  [ 1 post ] 
Author Message
PostPosted: Sun Mar 05, 2017 7:43 pm 
Offline
Above Average
Above Average

Joined: Fri Jul 10, 2009 10:38 am
Posts: 17
Hi

I know developers are trying to make intallation simple and stable enough but usually package maintainers for specific distros are not that happy with this approach.
The main problem is bundled dependencies. they increase compilation time, they supported not that good as main tree, they make the product/package heavier etc etc.
Well I keep Oolite package updated in my Gentoo overlay and while I'm happy enough by nature I can't say for everyone =)

In Oolite we have Mozilla JavaScript engine, which according to descriptions on GitHub is a plain copy of SpiderMonkey-1.8.5.
I tried to compile with Gentoo dev-lang/spidermonkey-1.8.5-r6 and it failed to build. So it seems Oolite has something older.
But after some patching I was able to compile it and if developers are interested in this here is what I have:

My Gentoo package: https://github.com/rion-overlay/rion-ov ... ion/oolite
The patch for external mozjs: https://github.com/rion-overlay/rion-ov ... ozjs.patch
Additional tricks for compilation here: https://github.com/rion-overlay/rion-ov ... ha1.ebuild

Thanks.

_________________
xmpp: rion [at] jabber.ru


Top
   
Display posts from previous:  Sort by  
Post new topic  Reply to topic  [ 1 post ] 

All times are UTC


Who is online

Users browsing this forum: No registered users and 5 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum

Search for:
cron
Powered by phpBB® Forum Software © phpBB Limited